import { isPipeline } from './util.js';
function makeRoute(name, path, handler, middleware, meta) {
    if (isPipeline(handler)) {
        const h = handler.pop();
        return [
            path,
            {
                [name]: h,
                middleware: [...middleware, ...handler],
                meta,
            },
        ];
    }
    else {
        return [path, { [name]: handler, middleware, meta }];
    }
}
export function GET(path, handler, { middleware = [], meta = {} } = {}) {
    return makeRoute('GET', path, handler, middleware, meta);
}
export function POST(path, handler, { middleware = [], meta = {} } = {}) {
    return makeRoute('POST', path, handler, middleware, meta);
}
export function PATCH(path, handler, { middleware = [], meta = {} } = {}) {
    return makeRoute('PATCH', path, handler, middleware, meta);
}
export function PUT(path, handler, { middleware = [], meta = {} } = {}) {
    return makeRoute('PUT', path, handler, middleware, meta);
}
export function DELETE(path, handler, { middleware = [], meta = {} } = {}) {
    return makeRoute('DELETE', path, handler, middleware, meta);
}
