export function isPlainObject(object) {
    const prototype = Object.getPrototypeOf(object);
    return prototype === null || prototype.constructor === Object;
}
export const isFunction = (value) => {
    return !!value &&
        (Object.prototype.toString.call(value) === '[object Function]' ||
            'function' === typeof value || value instanceof Function);
};
export function isPipeline(handler) {
    return Array.isArray(handler);
}
export function isHandlerMapping(handler) {
    return isPlainObject(handler);
}
export function isHandler(handler) {
    return isFunction(handler);
}
export const compose = (...functions) => (args) => functions.reduceRight((arg, fn) => fn(arg), args);
export const segmentize = (pathname) => {
    const segments = pathname.split('/');
    return (segments[0] === '') ? segments.slice(1) : segments;
};
