import type { PlainObject } from './mod.js';
export declare const OK: <T = PlainObject>(body: T | BodyInit, headers?: {}) => Response;
export declare const Created: <T = PlainObject>(body?: BodyInit | T, headers?: {}) => Response;
export declare const Accepted: (headers?: {}) => Response;
export declare const NoContent: (headers?: {}) => Response;
export declare const Redirect: (url: string, status?: number) => Response;
export declare const BadRequest: <T = PlainObject>(body?: BodyInit | T) => Response;
export declare const Unauthorized: <T = PlainObject>(body?: BodyInit | T) => Response;
export declare const Forbidden: <T = PlainObject>(body?: BodyInit | T) => Response;
export declare const NotFound: (headers?: {}) => Response;
export declare const MethodNotAllowed: () => Response;
export declare const NotAcceptable: () => Response;
export declare const Conflict: <T = PlainObject>(body?: BodyInit | T) => Response;
export declare const InternalServerError: <T = PlainObject>(body?: BodyInit | T) => Response;
export declare const HTML: (body: string | ReadableStream, headers?: {}) => Response;
export declare const Plain: (body?: BodyInit, init?: ResponseInit) => Response;
export declare const JSON: (body: unknown, { status, headers }: ResponseInit) => Response;
