import { Handler, HTTPMethod, Params } from "./mod.js";
declare type Placeholder = string | '*';
interface HandlerContainer<T = Handler> {
    handler: T;
    rank: number;
    route: string;
}
export declare const unpackOptionalDynamicParam: (pathname: string) => string[] | null;
export declare const extractPlaceholder: (segment: string) => Placeholder | null;
export declare class Node<T = Handler> {
    children: Record<string, Node<T>>;
    routes: Record<string, HandlerContainer<T>>;
    placeholders: Placeholder[];
    rank: number;
    name: string;
    shouldCapture: boolean;
    insert(method: HTTPMethod, path: string, handler: T): Node<T>;
    search(method: HTTPMethod | "ANY", path: string): {
        handler: NonNullable<T>;
        params: Params;
    } | null;
}
export declare class Router<T = Handler> {
    root: Node<T>;
    constructor();
    add(method: HTTPMethod, path: string, handler: T): void;
    find(method: HTTPMethod | "ANY", path: string): {
        handler: NonNullable<T>;
        params: Params;
    } | null;
}
export {};
